#
# spec file for package libindicator
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  libindicator3
%define soname_gtk2 libindicator
%define sover   7
%define _version 12.10.2+16.04.20151208
Name:           libindicator
Version:        12.10.2+bzr20151208
Release:        3.3
Summary:        Panel indicator applet libraries
License:        GPL-3.0
Group:          System/GUI/Other
Url:            https://launchpad.net/libindicator
Source:         http://archive.ubuntu.com/ubuntu/pool/main/libi/%{name}/%{name}_%{_version}.orig.tar.gz
# PATCH-FIX-OPENSUSE dont-build-debug-tools.patch hrvoje.senjan@gmail.com -- Do not build debug tools that are used only for tests & developing indicators, which pulls libido.
Patch0:         dont-build-debug-tools.patch
BuildRequires:  gnome-common
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)

%description
This library contains information to build indicators to go into
the indicator applet.

%package -n %{soname}-%{sover}
Summary:        Panel indicator applet - Shared Libraries
Group:          System/Libraries

%description -n %{soname}-%{sover}
This package provides the libraries required to build indicators
and to go into the indicator applet.

%package -n %{soname_gtk2}%{sover}
Summary:        Panel indicator applet -- Shared Libraries
Group:          System/Libraries

%description -n %{soname_gtk2}%{sover}
This package provides the libraries required to build indicators
and to go into the indicator applet.

%package -n %{soname}-devel
Summary:        Panel indicator applet -- Development Files
Group:          Development/Libraries/Other
Requires:       %{soname}-%{sover} = %{version}

%description -n %{soname}-devel
This package provides the development files required to build
indicators and to go into the indicator applet.

%package -n %{soname_gtk2}-devel
Summary:        Panel indicator applet -- Development Files
Group:          Development/Libraries/Other
Requires:       %{soname_gtk2}%{sover} = %{version}

%description -n %{soname_gtk2}-devel
This package provides the development files required to build
indicators and to go into the indicator applet.

%prep
%setup -q -n %{name}-%{_version}
%patch0 -p1

%build

%global _configure ../configure
NOCONFIGURE=1 gnome-autogen.sh
for ver in 2 3; do
    mkdir build-gtk$ver
    pushd build-gtk$ver
    %configure --disable-static --with-gtk=$ver
    make %{?_smp_mflags}
    popd
done

%install
for ver in 2 3; do
    pushd build-gtk$ver
    %make_install
    popd
done
find %{buildroot} -type f -name "*.la" -delete -print

# This dummy indicator is fairly useless, it is not shipped in Ubuntu.
rm -f %{buildroot}%{_libdir}/libdummy-indicator*.so

%post -n %{soname}-%{sover} -p /sbin/ldconfig

%postun -n %{soname}-%{sover} -p /sbin/ldconfig

%post -n %{soname_gtk2}%{sover} -p /sbin/ldconfig

%postun -n %{soname_gtk2}%{sover} -p /sbin/ldconfig

%files -n %{soname}-%{sover}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_libdir}/%{soname}.so.%{sover}*

%files -n %{soname_gtk2}%{sover}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_libdir}/%{soname_gtk2}.so.%{sover}*

%files -n %{soname}-devel
%defattr(-,root,root)
%{_includedir}/%{soname}-0.4/
%{_libdir}/%{soname}.so
%{_libdir}/pkgconfig/indicator3-0.4.pc

%files -n %{soname_gtk2}-devel
%defattr(-,root,root)
%{_includedir}/%{soname_gtk2}-0.4/
%{_libdir}/%{soname_gtk2}.so
%{_libdir}/pkgconfig/indicator-0.4.pc

%changelog
* Sat Dec 26 2015 sor.alexei@meowr.ru
- Update to 12.10.2+bzr20140922:
  * Add -lm via LDADD to resolve FTBFS in Ubuntu 16.04.
- Remove fix-compilation.patch: fixed upstream.
* Sun Oct 18 2015 sor.alexei@meowr.ru
- fix-compilation.patch: fix "cannot find -lglib-2.0-lm"
  compilation error.
* Tue May  5 2015 sor.alexei@meowr.ru
- Update to 12.10.2+bzr20140922:
  + No changes.
- Spec cleanup.
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 12.10.2+14.04.20141007.1
  + No changelog available
- Use download Url as source
* Fri Mar  7 2014 hrvoje.senjan@gmail.com
- Update to 12.10.2+14.04.20140304
  * Latest release available in Ubuntu archives - no changelog provided
- Enable build of GTK-3.0 subpackage
- Added dont-build-debug-tools.patch, tools are used only for tests
  & developing indicators. Also, it pulls libido requirement, which
  does not exists on openSUSE
* Fri Sep 20 2013 johann.luce@wanadoo.fr
- Fix System/Libraries group for lib
* Wed Feb 27 2013 p.drouand@gmail.com
- Initial release
